CREATE Trigger [dbo].[trg_ORC2]
On [dbo].[Orc2]
For Update
As

                           
   update I set 
   tipoVenda=(case 		when i.QTD>=20 and e.precovenda3>0  then 'ESPECIAL'
						when i.QTD>9 and e.precovenda2>0 then 'ATACADO' 
						else 'VAREJO' end),
						
	PRECO1=(case 		when i.QTD>=20 and e.precovenda3>0  then e.precovenda3
						when i.QTD>9 and e.precovenda2>0 then e.precovenda2
						else e.precovenda end),
						
	PRECOPED=(case 		when i.QTD>=20 and e.precovenda3>0  then e.precovenda3
						when i.QTD>9 and e.precovenda2>0 then e.precovenda2
						else e.precovenda end),
						
	VLRTOT=(case 		when i.QTD>=20 and e.precovenda3>0  then e.precovenda3
						when i.QTD>9 and e.precovenda2>0 then e.precovenda2
						else e.precovenda end)*i.QTD
from ORC2 i
INNER JOIN TBPARAMETROSISTEMA T ON i.terminal=T.terminal
inner join estoq e on i.codprd=e.codprd and t.idEstoqueAcabado=e.codloj
inner join Inserted n on i.terminal=n.terminal and i.sessao=n.sessao and i.codprd=n.codprd
